import JDLApplicationConfigurationOption from './jdl-application-configuration-option.js';
export default class JDLApplicationConfiguration {
    options: Record<string, JDLApplicationConfigurationOption<any>>;
    namespace?: string;
    constructor(namespace?: string);
    hasOption(optionName: string): boolean;
    getOption(optionName: string): JDLApplicationConfigurationOption<any> | undefined;
    setOption(option: JDLApplicationConfigurationOption<any>): void;
    forEachOption(passedFunction: (option: JDLApplicationConfigurationOption<any>) => void): void;
    toString(indent?: number): string;
}
